API ReferenceProducts
Products
Products endpoints.
List and search products
GET /rest/v1/products
Create a product
POST /rest/v1/products
Batch upsert products by SKU
POST /rest/v1/products/batch
Merge products (Same product)
POST /rest/v1/products/merge
Retrieve a product
GET /rest/v1/products/{id}
Update a product
PATCH /rest/v1/products/{id}
Delete a product
DELETE /rest/v1/products/{id}
Restore a deleted product
POST /rest/v1/products/{id}/restore
Resolve a product that requires attention
POST /rest/v1/products/{id}/resolve
List ignored channel listings
GET /rest/v1/ignored_listings
Stop ignoring a channel listing
DELETE /rest/v1/ignored_listings/{id}
Set the variants
PUT /rest/v1/products/{id}/variants
Duplicate a product
POST /rest/v1/products/{id}/duplicate
Last updated on October 13, 2026
Need help?
Email us and a human replies, usually within one business day.